Bug 711866 - SELinux is preventing /usr/libexec/postfix/pickup from 'write' accesses on the fifo_file fifo_file.
Summary: SELinux is preventing /usr/libexec/postfix/pickup from 'write' accesses on th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:2b5385853c0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-08 19:40 UTC by joshua
Modified: 2011-06-24 03:54 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-30.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:54:31 UTC


Attachments (Terms of Use)

Description joshua 2011-06-08 19:40:27 UTC
SELinux is preventing /usr/libexec/postfix/pickup from 'write' accesses on the fifo_file fifo_file.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that pickup should be allowed write access on the fifo_file fifo_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pickup /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:postfix_pickup_t:s0
Target Context                system_u:system_r:postfix_pickup_t:s0
Target Objects                fifo_file [ fifo_file ]
Source                        pickup
Source Path                   /usr/libexec/postfix/pickup
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           postfix-2.8.3-1.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-26.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.7-30.fc15.x86_64 #1
                              SMP Fri May 27 05:15:53 UTC 2011 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 08 Jun 2011 03:31:37 PM EDT
Last Seen                     Wed 08 Jun 2011 03:31:37 PM EDT
Local ID                      9aafa729-052d-45e7-a973-929e8b6a57d6

Raw Audit Messages
type=AVC msg=audit(1307561497.537:87): avc:  denied  { write } for  pid=1457 comm="pickup" path="pipe:[18397]" dev=pipefs ino=18397 scontext=system_u:system_r:postfix_pickup_t:s0 tcontext=system_u:system_r:postfix_pickup_t:s0 tclass=fifo_file


type=SYSCALL msg=audit(1307561497.537:87): arch=x86_64 syscall=write success=no exit=EACCES a0=a a1=7f9a999fee4f a2=1 a3=dbba00 items=0 ppid=1455 pid=1457 auid=4294967295 uid=89 gid=89 euid=89 suid=89 fsuid=89 egid=89 sgid=89 fsgid=89 tty=(none) ses=4294967295 comm=pickup exe=/usr/libexec/postfix/pickup subj=system_u:system_r:postfix_pickup_t:s0 key=(null)

Hash: pickup,postfix_pickup_t,postfix_pickup_t,fifo_file,write

audit2allow

#============= postfix_pickup_t ==============
allow postfix_pickup_t self:fifo_file write;

audit2allow -R

#============= postfix_pickup_t ==============
allow postfix_pickup_t self:fifo_file write;

Comment 2 Miroslav Grepl 2011-06-09 07:40:34 UTC
Fixed in selinux-policy-3.9.16-29.fc15

Comment 3 Fedora Update System 2011-06-10 10:50:09 UTC
selinux-policy-3.9.16-29.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15

Comment 4 Fedora Update System 2011-06-11 04:29:26 UTC
Package selinux-policy-3.9.16-29.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-29.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-06-21 17:31:21 UTC
Package selinux-policy-3.9.16-30.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-30.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-06-24 03:52:56 UTC
selinux-policy-3.9.16-30.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.